<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class DynamicFieldRuleReorderEvent extends Event implements ProjectEventInterface
{
    
    
    
    
    private $project;
    
    
    
    
    private $old_order;
    
    
    
    
    private $new_order;
    
    
    
    
    private $field;
    public function __construct(\HDProject $project, \FBField $_13d133c615714d50832f54e91fea8fb0, array $_59ad63a9ddbd1ceceefdac37c79cca12, array $_a0a080f47baa7c3e1f264a2b4409e768)
    {
        $this->project = $project;
        $this->old_order = $_59ad63a9ddbd1ceceefdac37c79cca12;
        $this->new_order = $_a0a080f47baa7c3e1f264a2b4409e768;
        $this->field = $_13d133c615714d50832f54e91fea8fb0;
    }
    
    
    
    
    public function getProject() : \HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getField() : \FBField
    {
        return $this->field;
    }
    
    
    
    
    public function getOldOrder() : array
    {
        return $this->old_order;
    }
    
    
    
    
    public function getNewOrder() : array
    {
        return $this->new_order;
    }
}